Package com.io7m.idstore.server.api

# Record Class IdServerHTTPConfiguration

java.lang.Object
java.lang.Record
com.io7m.idstore.server.api.IdServerHTTPConfiguration

Record Components:
  `adminAPIService` - The admin API service
  `userAPIService` - The user API service
  `userViewService` - The user view service

All Implemented Interfaces:
  `IdServerJSONConfigurationElementType`

public record IdServerHTTPConfiguration(IdServerHTTPServiceConfiguration adminAPIService, IdServerHTTPServiceConfiguration userAPIService, IdServerHTTPServiceConfiguration userViewService) extends Record implements IdServerJSONConfigurationElementType
Configuration for the parts of the server that serve over HTTP.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdServerHTTPConfiguration(IdServerHTTPServiceConfiguration adminAPIService, IdServerHTTPServiceConfiguration userAPIService, IdServerHTTPServiceConfiguration userViewService)`
  Configuration for the parts of the server that serve over HTTP.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdServerHTTPServiceConfiguration`
  `adminAPIService()`
  Returns the value of the `adminAPIService` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `IdServerHTTPServiceConfiguration`
  `userAPIService()`
  Returns the value of the `userAPIService` record component.
  `IdServerHTTPServiceConfiguration`
  `userViewService()`
  Returns the value of the `userViewService` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.idstore.server.api.IdServerJSONConfigurationElementType

  `schemaId`

- ## Constructor Details

  - ### IdServerHTTPConfiguration

    public IdServerHTTPConfiguration(IdServerHTTPServiceConfiguration adminAPIService, IdServerHTTPServiceConfiguration userAPIService, IdServerHTTPServiceConfiguration userViewService)
    Configuration for the parts of the server that serve over HTTP.
    Parameters:
      `adminAPIService` - The admin API service
      `userAPIService` - The user API service
      `userViewService` - The user view service

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### adminAPIService

    public IdServerHTTPServiceConfiguration adminAPIService()
    Returns the value of the `adminAPIService` record component.
    Returns:
      the value of the `adminAPIService` record component

  - ### userAPIService

    public IdServerHTTPServiceConfiguration userAPIService()
    Returns the value of the `userAPIService` record component.
    Returns:
      the value of the `userAPIService` record component

  - ### userViewService

    public IdServerHTTPServiceConfiguration userViewService()
    Returns the value of the `userViewService` record component.
    Returns:
      the value of the `userViewService` record component